@echo off
@setlocal
@SET CWDIR=%~dp0
set CLASSPATH=%CWDIR%lib\agile2d.jar;%CLASSPATH%;
set CLASSPATH=%CWDIR%lib\agile2d_opengl.jar;%CLASSPATH%
set CLASSPATH=%CWDIR%lib\gl4java-glffonts.jar;%CLASSPATH%
set CLASSPATH=%CWDIR%lib\gl4java-glutfonts.jar;%CLASSPATH%
set CLASSPATH=%CWDIR%lib\gl4java.jar;%CLASSPATH%
set CLASSPATH=%CWDIR%lib\log4j.jar;%CLASSPATH%
set CLASSPATH=%CWDIR%lib\png.jar;%CLASSPATH%
set CLASSPATH=%CWDIR%lib\ant.jar;%CLASSPATH%
set CLASSPATH=%CWDIR%lib\antlrall.jar;%CLASSPATH%
set CLASSPATH=%CWDIR%lib\dbdoclet.jar;%CLASSPATH%
set CLASSPATH=%CWDIR%lib\junit.jar;%CLASSPATH%
set CLASSPATH=%CWDIR%lib\xml-writer.jar;%CLASSPATH%
set CLASSPATH=%CWDIR%lib\infovis.jar;%CLASSPATH%
set CLASSPATH=%CWDIR%oadymppac.jar;%CLASSPATH%


REM Enabling AGILE 2D (OPEN GL GRAPHICAL ACCELERATION)
REM SET AGILE2D=-agile2d

REM Enabling/Disabling XML VALIDATION OF DOCUMENT
SET XML_VALID=-validation=no

REM Maximum JAVA Heap size (High value recommended)
SET XMX=-Xmx1024M

REM JAVA Incremental garbage collector (Recommended)
SET XINCGC=-Xincgc

REM HTTP Proxy definition (XML URL)
SET PROXY_HOST=-DproxyHost=myproxyserver.mydomain.com
SET PROXY_PORT=-DproxyPort=3128

java %XMX% %XINCGC% %PROXY_HOST% %PROXY_PORT% fr.inria.oadymppac.demo.Demo  %AGILE2D% -open %XML_VALID%
@endlocal
