package fr.inria.infovis.panel;

import infovis.Column;
import infovis.Table;
import infovis.column.filter.InternalFilter;

import javax.swing.JComboBox;
import javax.swing.JPanel;

/**
 * @author raf
 *
 * A replacement of the LabelPanel of Infovis
 * 
 * 
 */
public class LabelPanel extends JPanel {
    Table table;
    FilteredColumnListModel model;
    JComboBox combo;
	
    public LabelPanel(Table table) {
	this.table = table;
	model = new FilteredColumnListModel(table);
	model.setFilter(InternalFilter.sharedInstance());
	combo = new JComboBox(model);
	add(combo);
    }
	
    public Column getSelectedColumn() {
	return (Column)model.getSelectedItem();
    }
	
    public void setSelectedColumn(Column column) {
	model.setSelectedItem(column);
    }
}
