
package fr.inria.infovis.panel.visualization;

import infovis.column.ColumnFilter;
import infovis.visualization.LinkVisualization;
import fr.inria.infovis.panel.DefaultControlPanel;
import fr.inria.infovis.panel.DefaultVisualPanel;

/**
 * @author raf
 *
 * A replacement of the DefaultLinkVisualPanel of Infovis
 * 
 * 
 */
public class DefaultLinkVisualPanel extends DefaultVisualPanel {

    public DefaultLinkVisualPanel(
        LinkVisualization visualization,
        ColumnFilter filter) {
        super(visualization, filter);
    }

    protected void createAll() {
        addColor(getVisualization());
        addSize(getVisualization());
        addAlpha(getVisualization());
        addLabel(getVisualization());
    }
    
    public static void addVisualPanelTab(
        DefaultControlPanel controlPanel,
        LinkVisualization linkVisualization,
        ColumnFilter filter) {
        controlPanel.getTabs().insertTab(
            "Links",
            null,
            new DefaultLinkVisualPanel(linkVisualization, filter),
            null,
            2);
    }
}
