/*
 * INRIA-OADYMPPAC
 * 
 * Ownership: Copyright (c) 1990-2004 COSYTEC S.A.
 * Author	: 	raf
 *           	COSYTEC
 *		    	4 rue Jean Rostand
 * 				91893 Orsay Cedex, France
 *				Tel. +33 1 60 19 37 38
 *				Fax. +33 1 60 19 36 20
 *
 * Purpose	: COMPLETE HERE
 * 
 * Created on 9 mars 2004
 *
 * 
 */
package fr.inria.oadymppac.parsing;


import org.apache.log4j.Logger;

import fr.inria.oadymppac.parsing.event.EventListenerManager;




/**
 * @author raf
 *
 * This interface will be used to maintain special
 * habilities of the OADYMPPAC Parser like
 * chaining parser and automated imbrication of elements 
 */
public interface ContentHandler extends org.xml.sax.ContentHandler, ElementHandler, ElementDelegationHandler {
    public final static Logger logger = Logger.getLogger(ContentHandler.class);
    
    public EventListenerManager buildListenerManager();

    
}
