/*
 * INRIA-OADYMPPAC
 * 
 * Ownership: Copyright (c) 1990-2004 COSYTEC S.A.
 * Author	: 	raf
 *           	COSYTEC
 *		    	4 rue Jean Rostand
 * 				91893 Orsay Cedex, France
 *				Tel. +33 1 60 19 37 38
 *				Fax. +33 1 60 19 36 20
 *
 * Purpose	: COMPLETE HERE
 * 
 * Created on 16 mars 2004
 *
 * 
 */
package fr.inria.oadymppac.parsing.event;

import org.apache.log4j.Logger;


/**
 * @author raf
 *
 * @
 */
public interface EventListenerManager {
     final static Logger logger = Logger.getLogger(EventListenerManager.class);
     public final static EventListener[] NULL_ARRAY = new EventListener[0];
    /* (non-Javadoc)
     * @see javax.swing.event.EventListenerList#add(java.lang.Class, java.util.EventListener)
     */
     public void addListener(Event e, EventListener l);
     public void addListener(Class e, EventListener l);
     public void addListener(String e, EventListener l);
  
    /* (non-Javadoc)
     * @see javax.swing.event.EventListenerList#getListenerCount(java.lang.Class)
     */
     public int getListenerCount(Event e);
     public int getListenerCount(Class e);
     public int getListenerCount(String e);
  
     /* (non-Javadoc)
      * @see javax.swing.event.EventListenerList#getListener()
      */
     public EventListener[] getListenerList();
     
    /* (non-Javadoc)
     * @see javax.swing.event.EventListenerList#getListeners(java.lang.Class)
     */
     public EventListener[] getListeners(Event e);
     public EventListener[] getListeners(Class e);
     public EventListener[] getListeners(String e);

    /* (non-Javadoc)
     * @see javax.swing.event.EventListenerList#remove(java.lang.Class, java.util.EventListener)
     */
     public void removeListener(Event e, EventListener l);
     public void removeListener(Class e, EventListener l);
     public void removeListener(String e, EventListener l);
     
     
     /* (non-Javadoc)
      * @see javax.swing.event.EventListenerList#remove(java.lang.Class, java.util.EventListener)
      */
     public void fireEvent(Event e);
      
}