/*
 * INRIA-OADYMPPAC
 * 
 * Ownership: Copyright (c) 1990-2004 COSYTEC S.A.
 * Author	: 	raf
 *           	COSYTEC
 *		    	4 rue Jean Rostand
 * 				91893 Orsay Cedex, France
 *				Tel. +33 1 60 19 37 38
 *				Fax. +33 1 60 19 36 20
 *
 * Purpose	: COMPLETE HERE
 * 
 * Created on 11 mars 2004
 *
 * 
 */
package fr.inria.oadymppac.parsing.gentra4cp.event.attributes;

import fr.inria.oadymppac.parsing.gentra4cp.dtd.DTDConstraintElement;
import fr.inria.oadymppac.parsing.gentra4cp.dtd.DTDConstraintOriginAttribute;
import fr.inria.oadymppac.parsing.gentra4cp.dtd.DTDConstraintStatusAttribute;



/**
 * @author raf
 *
 * @
 */
public interface ConstraintAttributes extends DTDConstraintElement,CtrAttributes, DTDConstraintOriginAttribute, DTDConstraintStatusAttribute {
    public static final String ORIGIN_NONE="- NO CONSTRAINT ORIGIN  -";
    public static final String STATUS_NONE="- NO CONSTRAINT ORIGIN STATUS -";
    
    public String getOrigin();
    public String getStatus();
    
    public void setOrigin(String origin);
    public void setStatus(String status);
}
