/*
 * INRIA-OADYMPPAC
 * 
 * Ownership: Copyright (c) 1990-2004 COSYTEC S.A.
 * Author	: 	raf
 *           	COSYTEC
 *		    	4 rue Jean Rostand
 * 				91893 Orsay Cedex, France
 *				Tel. +33 1 60 19 37 38
 *				Fax. +33 1 60 19 36 20
 *
 * Purpose	: COMPLETE HERE
 * 
 * Created on 10 mars 2004
 *
 * 
 */
package fr.inria.oadymppac.parsing.gentra4cp.event.attributes;

import fr.inria.oadymppac.parsing.gentra4cp.dtd.DTDEventAttributes;



/**
 * @author raf
 *
 * @
 */
public interface EventAttributes extends DTDEventAttributes{
    static final int CHRONO_NONE=-1;   
    static final String CONTEXT_NONE ="";   
    static final int DEPTH_NONE=-1;   
    static final String FILE_NONE="";   
    static final int LINE_NONE=-1;
    static final long TIME_NONE=-1;
    /**
     * @return Returns the chrono.
     */
    public abstract int getChrono();

    /**
     * @param chrono The chrono to set.
     */
    public abstract void setChrono(int chrono);

    /**
     * @return Returns the context.
     */
    public abstract String getContext();

    /**
     * @param context The context to set.
     */
    public abstract void setContext(String context);

    /**
     * @return Returns the depth.
     */
    public abstract int getDepth();

    /**
     * @param depth The depth to set.
     */
    public abstract void setDepth(int depth);

    /**
     * @return Returns the file.
     */
    public abstract String getFile();

    /**
     * @param file The file to set.
     */
    public abstract void setFile(String file);

    /**
     * @return Returns the line.
     */
    public abstract int getLine();

    /**
     * @param line The line to set.
     */
    public abstract void setLine(int line);

    /**
     * @return Returns the time.
     */
    public abstract long getTime();

    /**
     * @param time The time to set.
     */
    public abstract void setTime(long time);
}
