/*
 * INRIA-OADYMPPAC
 * 
 * Ownership: Copyright (c) 1990-2004 COSYTEC S.A.
 * Author	: 	raf
 *           	COSYTEC
 *		    	4 rue Jean Rostand
 * 				91893 Orsay Cedex, France
 *				Tel. +33 1 60 19 37 38
 *				Fax. +33 1 60 19 36 20
 *
 * Purpose	: COMPLETE HERE
 * 
 * Created on 10 mars 2004
 *
 * 
 */
package fr.inria.oadymppac.parsing.gentra4cp.event.attributes;

import fr.inria.oadymppac.parsing.gentra4cp.dtd.DTDStateElement;




/**
 * @author raf
 *
 * @
 */
public interface StateAttributes extends DTDStateElement{
    static final String CURRENT_NODE_NONE="- NO CURRENT-NODE STATE -";
    static final String NEXT_NODE_NONE="- NO NEXT-NODE STATE -";
    static final String NODENAME_NONE="- NO NODE NAME STATE -";
    static final String STATUS_NONE="- NO STATUS STATE -";
    static final String CHOICECONSTRAINT_NONE="- NO CHOICE CONSTRAINTS STATE -";

    /**
     * @return Returns the context.
     */
    public abstract String getCurrentNode();

    /**
     * @param context The context to set.
     */
    public abstract void setCurrentNode(String node);
 
    /**
     * @return Returns the context.
     */
    public abstract String getNextNode();

    /**
     * @param context The context to set.
     */
    public abstract void setNextNode(String node);

    /**
     * @return Returns the context.
     */
    public abstract String getNodeName();

    /**
     * @param context The context to set.
     */
    public abstract void setNodeName(String node);

    /**
     * @return Returns the context.
     */
    public abstract String getStatus();

    /**
     * @param context The context to set.
     */
    public abstract void setStatus(String node);
    
    /**
     * @return Returns the context.
     */
    public abstract String getChoiceConstraints();

    /**
     * @param context The context to set.
     */
    public abstract void setChoiceConstraints(String choices);
}
