/*
* INRIA-OADYMPPAC
* 
* Ownership: Copyright (c) 1990-2004 COSYTEC S.A.
* Author	: 	raf
*           	COSYTEC
*		    	4 rue Jean Rostand
* 				91893 Orsay Cedex, France
*				Tel. +33 1 60 19 37 38
*				Fax. +33 1 60 19 36 20
*
* Purpose	: COMPLETE HERE
* 
* Created on 10 mars 2004
*
* 
*/
package fr.inria.oadymppac.parsing.info;



import fr.inria.oadymppac.parsing.gentra4cp.event.attributes.EventAttributes;


/**
* @author raf
*
* @
*/
public abstract class EventInfo extends BasicInfo implements EventAttributes,Cloneable {
    
    protected int chrono;
    protected int depth;
    protected long time;
    protected String context;
    protected int line;
    protected String file;
    
    
    protected  void clone(EventInfo clone)  {
        clone.setChrono(chrono);
        clone.setContext(context);
        clone.setDepth(depth);
        clone.setFile(file);
        clone.setLine(line);
        clone.setTime(time);
    }
    
 
    /**
* @return Returns the chrono.
*/
    public int getChrono() {
        return chrono;
    }
    /**
* @param chrono The chrono to set.
*/
    public void setChrono(int chrono) {
        this.chrono = chrono;
    }
    /**
* @return Returns the context.
*/
    public String getContext() {
        return context;
    }
    /**
* @param context The context to set.
*/
    public void setContext(String context) {
        this.context = context;
    }
    /**
* @return Returns the depth.
*/
    public int getDepth() {
        return depth;
    }
    /**
* @param depth The depth to set.
*/
    public void setDepth(int depth) {
        this.depth = depth;
    }
    /**
* @return Returns the file.
*/
    public String getFile() {
        return file;
    }
    /**
* @param file The file to set.
*/
    public void setFile(String file) {
        this.file = file;
    }
    /**
* @return Returns the line.
*/
    public int getLine() {
        return line;
    }
    /**
* @param line The line to set.
*/
    public void setLine(int line) {
        this.line = line;
    }
    /**
* @return Returns the time.
*/
    public long getTime() {
        return time;
    }
    /**
* @param time The time to set.
*/
    public void setTime(long time) {
        this.time = time;
    }
}
