/*
 * INRIA-OADYMPPAC
 * 
 * Ownership: Copyright (c) 1990-2004 COSYTEC S.A.
 * Author	: 	raf
 *           	COSYTEC
 *		    	4 rue Jean Rostand
 * 				91893 Orsay Cedex, France
 *				Tel. +33 1 60 19 37 38
 *				Fax. +33 1 60 19 36 20
 *
 * Purpose	: COMPLETE HERE
 * 
 * Created on 11 mars 2004
 *
 * 
 */
package fr.inria.oadymppac.parsing.info;

import fr.inria.oadymppac.parsing.gentra4cp.event.attributes.RestoreAttributes;


/**
 * @author raf
 *
 * @
 */
public class RestoreInfo extends EventInfo implements RestoreAttributes, DeltaListProvider, StateProvider, Cloneable {
	public static final int INFO_TYPE = 28;
	public  int getInfoType() {
		return INFO_TYPE;
	}
	protected String variable;
     
    protected DeltaListInfo deltaList;
    
    protected StateInfo state;
  
	public String getVariable() {
		return variable;
	}
	/* (non-Javadoc)
	 * @see fr.inria.oadymppac.parsing.gentra4cp.event.NewConstraintEvent#setOrigin(java.lang.String)
	 */
	public void setVariable(String var) {
		this.variable=var;
	}
	
	   /* (non-Javadoc)
     * @see fr.inria.oadymppac.parsing.info.BasicInfo#clone()
     */
    public Object clone() throws CloneNotSupportedException {
    	super.clone();
        RestoreInfo clone = new RestoreInfo();
        clone(clone);
        clone.setVariable(variable);
        if (deltaList != null) clone.setDeltaList((DeltaListInfo)deltaList.clone());
        if(state != null) clone.setState((StateInfo) state.clone());
        return clone;
    }
	
	
    /**
     * @return Returns the deltaList.
     */
    public DeltaListInfo getDeltaList() {
        return deltaList;
    }
    /**
     * @param deltaList The deltaList to set.
     */
    public void setDeltaList(DeltaListInfo deltaList) {
        this.deltaList = deltaList;
    }
    /**
     * @return Returns the state.
     */
    public StateInfo getState() {
        return state;
    }
    /**
     * @param state The state to set.
     */
    public void setState(StateInfo state) {
        this.state = state;
    }
}