package com.mf.option;

import java.io.File;
import java.io.FilenameFilter;
import java.text.MessageFormat;
import java.util.ArrayList;
import java.util.Arrays;

/**
 * MessageServices.java
 *
 *
 * Created: Wed Oct  8 13:59:36 2003
 *
 * @author <a href="mailto:mfuchs@unico-consulting.com">Michael Fuchs</a>
 * @version 1.0
 */
public class MessageServices {
    
    public static String format(String pattern, String arg) {

        if ( pattern == null )
              throw new IllegalArgumentException("Parameter pattern is null!");
        
        if ( arg == null )
              throw new IllegalArgumentException("Parameter arg is null!");
        
        Object[] arguments = { arg };
        
        return MessageFormat.format(pattern,arguments);
    }
    
    public static String format(String pattern, String arg1, String arg2) {

        if ( pattern == null )
              throw new IllegalArgumentException("Parameter pattern is null!");
        
        if ( arg1 == null )
              throw new IllegalArgumentException("Parameter arg1 is null!");
        
        if ( arg2 == null )
              throw new IllegalArgumentException("Parameter arg2 is null!");
        
        Object[] arguments = { arg1, arg2 };
        
        return MessageFormat.format(pattern,arguments);
    }
    
    public static String format(String pattern, String arg1, String arg2, String arg3) {

        if ( pattern == null )
              throw new IllegalArgumentException("Parameter pattern is null!");
        
        if ( arg1 == null )
              throw new IllegalArgumentException("Parameter arg1 is null!");
        
        if ( arg2 == null )
              throw new IllegalArgumentException("Parameter arg2 is null!");
        
        if ( arg3 == null )
              throw new IllegalArgumentException("Parameter arg3 is null!");
        
        Object[] arguments = { arg1, arg2, arg3 };
        
        return MessageFormat.format(pattern,arguments);
    }
    
} // MessageServices
