<?xml version="1.0" encoding="iso-8859-1"?>
<xsl:stylesheet xmlns:xsl="http://www.w3.org/1999/XSL/Transform"
  version="1.0">
  
  <xsl:output method="xml" 
    omit-xml-declaration="yes"
    encoding="iso-8859-1" 
    indent="yes"/>

  <xsl:template match="parameters">
    <variablelist>
      <title><xsl:value-of select="title"/></title>
      <xsl:apply-templates select="parameter"/>
      <xsl:apply-templates select="return"/>
    </variablelist>
  </xsl:template>

  <xsl:template match="parameter">
    <varlistentry>
      <term><emphasis role="bold"><xsl:value-of select="name"/></emphasis></term>
      <listitem>
        <xsl:copy-of select="description/para"/>
      </listitem>
    </varlistentry>
  </xsl:template>

  <xsl:template match="return">
    <varlistentry>
      <term><emphasis>Returns</emphasis></term>
      <listitem>
        <xsl:copy-of select="para"/>
      </listitem>
    </varlistentry>
  </xsl:template>

</xsl:stylesheet>