#! /bin/sh

export CWDIR=`pwd`;
export CLASSPATH=$CWDIR/lib/agile2d.jar:$CLASSPATH;
export CLASSPATH=$CWDIR/lib/agile2d_opengl.jar:$CLASSPATH;
export CLASSPATH=$CWDIR/lib/gl4java-glffonts.jar:$CLASSPATH;
export CLASSPATH=$CWDIR/lib/gl4java-glutfonts.jar:$CLASSPATH;
export CLASSPATH=$CWDIR/lib/gl4java.jar:$CLASSPATH;
export CLASSPATH=$CWDIR/lib/log4j.jar:$CLASSPATH;
export CLASSPATH=$CWDIR/lib/png.jar:$CLASSPATH;
export CLASSPATH=$CWDIR/lib/ant.jar:$CLASSPATH;
export CLASSPATH=$CWDIR/lib/antlrall.jar:$CLASSPATH;
export CLASSPATH=$CWDIR/lib/dbdoclet.jar:$CLASSPATH;
export CLASSPATH=$CWDIR/lib/junit.jar:$CLASSPATH;
export CLASSPATH=$CWDIR/lib/xml-writer.jar:$CLASSPATH;
export CLASSPATH=$CWDIR/lib/infovis.jar:$CLASSPATH;
export CLASSPATH=$CWDIR/oadymppac.jar:$CLASSPATH;



# Enabling AGILE 2D (OPEN GL GRAPHICAL ACCELERATION)
export AGILE2D=-agile2d;

# Enabling/Disabling XML VALIDATION OF DOCUMENT
export XML_VALID=-validation=no;

# Maximum JAVA Heap size (High value recommended)
export XMX=-Xmx1024M;

# JAVA Incremental garbage collector (Recommended)
export XINCGC=-Xincgc;

# HTTP Proxy definition (XML URL)
# export PROXY_HOST=-DproxyHost=myproxyserver.mydomain.com;
# export PROXY_HOST=-DproxyHost=proxy-rocq.inria.fr;
# export PROXY_PORT=-DproxyPort=3128;
# export PROXY_PORT=-DproxyPort=8080;

java $XMX $XINCGC $PROXY_HOST $PROXY_PORT fr.inria.oadymppac.demo.Demo  $AGILE2D -open $XML_VALID;



