/*
 * INRIA-OADYMPPAC
 * 
 * Ownership: Copyright (c) 1990-2004 COSYTEC S.A.
 * Author	: 	raf
 *           	COSYTEC
 *		    	4 rue Jean Rostand
 * 				91893 Orsay Cedex, France
 *				Tel. +33 1 60 19 37 38
 *				Fax. +33 1 60 19 36 20
 *
 * Purpose	: COMPLETE HERE
 * 
 * Created on 17 mars 2004
 *
 * 
 */
package fr.inria.oadymppac.parsing.gentra4cp;

import fr.inria.oadymppac.parsing.ContentHandler;
import fr.inria.oadymppac.parsing.event.EventImpl;
import fr.inria.oadymppac.parsing.event.Info;
import fr.inria.oadymppac.parsing.gentra4cp.event.header.ContributorEvent;


/**
 * @author raf
 *
 * @
 */
public class DefaultContributorEvent extends EventImpl implements ContributorEvent {
    
    protected String contributor;
    
    protected void buildInfo() {}
  
    /**
     * @return Returns the contributor.
     */
    public String getContributor() {
        return contributor;
    }
    /**
     * @param contributor The contributor to set.
     */
    public void setContributor(String contributor) {
        this.contributor = contributor;
    }
    /* (non-Javadoc)
     * @see fr.inria.oadymppac.parsing.event.Event#init(fr.inria.oadymppac.ContentHandler, char[], int, int)
     */
    public void init(ContentHandler handler, char[] ch, int start, int length) {
        setContributor(String.copyValueOf(ch,start,length));
   }
    /* (non-Javadoc)
     * @see fr.inria.oadymppac.parsing.event.Event#reset()
     */
    public void reset() {
    	super.reset();
        setContributor(CONTRIBUTOR_NONE);
    }
    
    
        public Info getInfo() throws CloneNotSupportedException {
        return null;
    }
        public int getEventType() {
    		return EVENT_TYPE;
    	}
}
