/*
 * INRIA-OADYMPPAC
 * 
 * Ownership: Copyright (c) 1990-2004 COSYTEC S.A.
 * Author	: 	raf
 *           	COSYTEC
 *		    	4 rue Jean Rostand
 * 				91893 Orsay Cedex, France
 *				Tel. +33 1 60 19 37 38
 *				Fax. +33 1 60 19 36 20
 *
 * Purpose	: COMPLETE HERE
 * 
 * Created on 11 mars 2004
 *
 * 
 */
package fr.inria.oadymppac.parsing.gentra4cp.event.attributes;

import fr.inria.oadymppac.parsing.gentra4cp.dtd.DTDNewStageElement;



/**
 * @author raf
 *
 * @
 */
public interface NewStageAttributes extends DTDNewStageElement {
    public static final String IDENTIFIER_NONE="NONE";
    public static final String NAME_NONE="- NONAMED STAGE -";
    public static final String[] REFERENCES_NONE= new String[0]; 
    public static final String REFERENCES_SEPARATOR= " "; 
    public static final String DETAIL_NONE="- NO DETAIL -";

    
    public String getIdentifier();
    public String getName();
    public String[] getReferences();
    public String getDetail();
 
    
    public void setIdentifier(String ident);
    public void setName(String name);
    public void setReferences(String[] references);
    public void setDetail(String detail);
 
   
}
