/*
 * INRIA-OADYMPPAC
 * 
 * Ownership: Copyright (c) 1990-2004 COSYTEC S.A.
 * Author	: 	raf
 *           	COSYTEC
 *		    	4 rue Jean Rostand
 * 				91893 Orsay Cedex, France
 *				Tel. +33 1 60 19 37 38
 *				Fax. +33 1 60 19 36 20
 *
 * Purpose	: COMPLETE HERE
 * 
 * Created on 11 mars 2004
 *
 * 
 */
package fr.inria.oadymppac.parsing.info;

import fr.inria.oadymppac.parsing.gentra4cp.event.attributes.AwakeAttributes;


/**
 * @author raf
 *
 * @
 */
public class AwakeInfo extends EventInfo implements AwakeAttributes,UpdateProvider,StateProvider, Cloneable {
	public static final int INFO_TYPE = 3;
	public  int getInfoType() {
		return INFO_TYPE;
	}
	
	protected String constraint;
    
    protected UpdateInfo update;
     
    protected StateInfo state;
    
    public Object clone() throws CloneNotSupportedException {
    	super.clone();
        AwakeInfo clone = new AwakeInfo();
        clone(clone); 
        clone.setConstraint(constraint);
        if (update != null) clone.setUpdate((UpdateInfo)update.clone());
        if(state != null) clone.setState((StateInfo) state.clone());
        return clone;
    }
   
   
	public String getConstraint() {
		return constraint;
	}
	/* (non-Javadoc)
	 * @see fr.inria.oadymppac.parsing.gentra4cp.event.NewConstraintEvent#setOrigin(java.lang.String)
	 */
	public void setConstraint(String cst) {
		this.constraint=cst;
	}
	
	
    /**
     * @return Returns the update.
     */
    public UpdateInfo getUpdate() {
        return update;
    }
    /**
     * @param update The update to set.
     */
    public void setUpdate(UpdateInfo update) {
        this.update = update;
    }
  
    /**
     * @return Returns the state.
     */
    public StateInfo getState() {
        return state;
    }
    /**
     * @param state The state to set.
     */
    public void setState(StateInfo state) {
        this.state = state;
    }
}