/*
 * INRIA-OADYMPPAC
 * 
 * Ownership: Copyright (c) 1990-2004 COSYTEC S.A.
 * Author	: 	raf
 *           	COSYTEC
 *		    	4 rue Jean Rostand
 * 				91893 Orsay Cedex, France
 *				Tel. +33 1 60 19 37 38
 *				Fax. +33 1 60 19 36 20
 *
 * Purpose	: COMPLETE HERE
 * 
 * Created on 11 mars 2004
 *
 * 
 */
package fr.inria.oadymppac.parsing.info;

import java.util.StringTokenizer;

import fr.inria.oadymppac.parsing.gentra4cp.event.attributes.ChoiceConstraintAttributes;


/**
 * @author raf
 *
 * @
 */
public class ChoiceConstraintInfo extends BasicInfo implements ChoiceConstraintAttributes, Cloneable {
	public static final int INFO_TYPE = 8;
	public  int getInfoType() {
		return INFO_TYPE;
	}
	protected String variable;
    protected int value;
    protected String[] constraints;
     
    protected StateInfo state;
    
    private String buffer;
    private StringTokenizer tokenizer;

	
    /* (non-Javadoc)
     * @see fr.inria.oadymppac.parsing.info.BasicInfo#clone()
     */
    public Object clone() throws CloneNotSupportedException {
    	super.clone();
        ChoiceConstraintInfo clone = new ChoiceConstraintInfo();
        clone.setVariable(variable);
        clone.setValue(value);
        clone.setConstraints(clone(constraints));
        return clone;
    }
    /**
 
    /**
     * @return Returns the constraints.
     */
    public String[] getConstraints() {
        return constraints;
    }
    /**
     * @param constraints The constraints to set.
     */
    public void setConstraints(String[] constraints) {
        this.constraints = constraints;
    }
    /**
     * @return Returns the value.
     */
    public int getValue() {
        return value;
    }
    /**
     * @param value The value to set.
     */
    public void setValue(int value) {
        this.value = value;
    }
    /**
     * @return Returns the variable.
     */
    public String getVariable() {
        return variable;
    }
    /**
     * @param variable The variable to set.
     */
    public void setVariable(String variable) {
        this.variable = variable;
    }
}