/*
 * INRIA-OADYMPPAC
 * 
 * Ownership: Copyright (c) 1990-2004 COSYTEC S.A.
 * Author	: 	raf
 *           	COSYTEC
 *		    	4 rue Jean Rostand
 * 				91893 Orsay Cedex, France
 *				Tel. +33 1 60 19 37 38
 *				Fax. +33 1 60 19 36 20
 *
 * Purpose	: COMPLETE HERE
 * 
 * Created on 19 mars 2004
 *
 * 
 */
package fr.inria.oadymppac.parsing.info;

import java.util.Collection;
import java.util.Iterator;
import java.util.Vector;

import org.apache.log4j.Logger;

import fr.inria.oadymppac.parsing.event.Info;


/**
 * @author raf
 *
 * @
 */
public class ProvideInfo implements Info,Collection, Cloneable {
	public static Logger logger= Logger.getLogger(ProvideInfo.class);
	public static final int INFO_TYPE = 24;
	public  int getInfoType() {
		return INFO_TYPE;
	}

    Collection provided;
    /**
     * 
     */
    public ProvideInfo() {
        provided = new Vector();
    }


    /**
     * @param o
     * @return
     */
    public boolean add(Object o) {
    	if (logger.isDebugEnabled()) logger.info("Added "+o);
        return provided.add(o);
    }
    /**
     * @param c
     * @return
     */
    public boolean addAll(Collection c) {
        return provided.addAll(c);
    }
    /**
     * 
     */
    public void clear() {
        provided.clear();
    }
    /**
     * @param o
     * @return
     */
    public boolean contains(Object o) {
        return provided.contains(o);
    }
    /**
     * @param c
     * @return
     */
    public boolean containsAll(Collection c) {
        return provided.containsAll(c);
    }
    /**
     * @return
     */
    public boolean isEmpty() {
        return provided.isEmpty();
    }
    /**
     * @return
     */
    public Iterator iterator() {
        return provided.iterator();
    }
    /**
     * @param o
     * @return
     */
    public boolean remove(Object o) {
        return provided.remove(o);
    }
    /**
     * @param c
     * @return
     */
    public boolean removeAll(Collection c) {
        return provided.removeAll(c);
    }
    /**
     * @param c
     * @return
     */
    public boolean retainAll(Collection c) {
        return provided.retainAll(c);
    }
    /**
     * @return
     */
    public int size() {
        return provided.size();
    }
    /**
     * @return
     */
    public Object[] toArray() {
        return provided.toArray();
    }
    /**
     * @param a
     * @return
     */
    public Object[] toArray(Object[] a) {
        return provided.toArray(a);
    }
        
	/* (non-Javadoc)
	 * @see java.lang.Object#toString()
	 */
	public String toString() {
		return provided.toString();
	}
}
