/*
 * INRIA-OADYMPPAC
 * 
 * Ownership: Copyright (c) 1990-2004 COSYTEC S.A.
 * Author	: 	raf
 *           	COSYTEC
 *		    	4 rue Jean Rostand
 * 				91893 Orsay Cedex, France
 *				Tel. +33 1 60 19 37 38
 *				Fax. +33 1 60 19 36 20
 *
 * Purpose	: COMPLETE HERE
 * 
 * Created on 11 mars 2004
 *
 * 
 */
package fr.inria.oadymppac.parsing.info;

import fr.inria.oadymppac.parsing.gentra4cp.event.attributes.UpdateAttributes;


/**
 * @author raf
 *
 * @
 */
public class UpdateInfo extends BasicInfo implements UpdateAttributes, ValueListProvider, Cloneable {
	public static final int INFO_TYPE = 39;
	public  int getInfoType() {
		return INFO_TYPE;
	}
    protected String variable;
    protected short[] type;
    protected ValueListInfo valueList;
    protected String status;
    
 
	public String getVariable() {
		return variable;
	}
	/* (non-Javadoc)
	 * @see fr.inria.oadymppac.parsing.gentra4cp.event.NewConstraintEvent#setOrigin(java.lang.String)
	 */
	public void setVariable(String var) {
		this.variable=var;
	}

    /* (non-Javadoc)
     * @see fr.inria.oadymppac.parsing.gentra4cp.event.attributes.DTDVariableAttributes#getType()
     */
    public short[] getType() {
        return type;
    }
    /* (non-Javadoc)
     * @see fr.inria.oadymppac.parsing.gentra4cp.event.attributes.DTDVariableAttributes#setType(short)
     */
    public void setType(short[] type) {
        this.type=type;
    }
    /* (non-Javadoc)
     * @see fr.inria.oadymppac.parsing.info.BasicInfo#clone()
     */
    public Object clone() throws CloneNotSupportedException {
    	super.clone();
        UpdateInfo clone = new UpdateInfo();
        clone.setType(clone(type));
        clone.setVariable(variable);
        if(valueList != null) clone.setValueList((ValueListInfo) valueList.clone());
        return clone;
    }

    
    /**
     * @return Returns the valueList.
     */
    public ValueListInfo getValueList() {
        return valueList;
    }
    /**
     * @param valueList The valueList to set.
     */
    public void setValueList(ValueListInfo valueList) {
        this.valueList = valueList;
    }
    
 
	/**
	 * @return Returns the status.
	 */
	public synchronized String getStatus() {
		return status;
	}
	/**
	 * @param status The status to set.
	 */
	public synchronized void setStatus(String status) {
		this.status = status;
	}
}