/*
 * INRIA-OADYMPPAC
 * 
 * Ownership: Copyright (c) 1990-2004 COSYTEC S.A.
 * Author	: 	raf
 *           	COSYTEC
 *		    	4 rue Jean Rostand
 * 				91893 Orsay Cedex, France
 *				Tel. +33 1 60 19 37 38
 *				Fax. +33 1 60 19 36 20
 *
 * Purpose	: COMPLETE HERE
 * 
 * Created on 17 mars 2004
 *
 * 
 */
package fr.inria.oadymppac.solver.parsing;

import fr.inria.oadymppac.parsing.event.EventListenerImpl;
import fr.inria.oadymppac.parsing.gentra4cp.event.BreakPointEvent;
import fr.inria.oadymppac.parsing.gentra4cp.event.BreakPointEventListener;
import fr.inria.oadymppac.parsing.gentra4cp.event.PacketEvent;
import fr.inria.oadymppac.parsing.gentra4cp.event.PacketEventListener;


/**
 * @author raf
 *
 * @
 */
public class SingleControlEventListener extends EventListenerImpl implements BreakPointEventListener,PacketEventListener {

	  public void eventProcess(BreakPointEvent ev) {
        	if (logger.isDebugEnabled()) logger.info("------------------- NEW BREAKPOINT !!! -------------------");
        	if (logger.isDebugEnabled()) logger.info("CONTROL:"+ev.getControl());
        } 

	  public void eventProcess(PacketEvent ev) {
      	if (logger.isDebugEnabled()) logger.info("------------------- NEW PACKET !!! -------------------");
      	if (logger.isDebugEnabled()) logger.info("CONTROL:"+ev.getControl());
      } 

    }

